Subject: Re: 23.0.60; Cannot use function as value of :height face attribute

From: Chong Yidong <[email-masked]>
Date: Thu, 01 Jan 2009 03:30:15 -0500

> M-: (set-face-attribute 'default (selected-frame) :height (quote 1+))
> 
> gives this error: (error "Invalid face height" 1+)
> 
> But the Elisp manual, node Face Attributes says this:
> 
> `:height'
> Either the font height, an integer in units of 1/10 point, a
> floating point number specifying the amount by which to scale the
> height of any underlying face, or a function, which is called with
> the old height (from the underlying face), and should return the
> new height.

The default face must always be absolute (i.e., an integer).  I've
clarified the manual.